### Function

# AppStreamCompose MediaError is_worker_failure

since: 1.2.0

#### Declaration [src]

    gboolean
    asc_media_error_is_worker_failure (
      const GError* error
    )

#### Description [src]

Check whether the given error indicates that the media worker itself malfunctioned, as opposed to the processed media simply being broken. Only the former should be reported to users as a worker problem.

Available since: 1.2.0

#### Parameters

`error`

  Type: `GError`

  A `GError` returned by a media operation.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the worker misbehaved.